Jump to content


gonzalo3

Member Since 30 Mar 2020
Offline Last Active Jul 29 2020 04:39 PM
-----

Topics I've Started

[Solved] Discord.py new error, requires library update

27 July 2020 - 07:12 PM

Hello, discord.py library started causing errors for everyone. It seems the only solution is to update library. I'm using Tommy server right now.

Relevant thread:

 

https://stackoverflo...expected-keywor

 

 

 

Discord pushed a new change that changes the overwrites object.

Just reinstall the latest version of Discord.py

python3 -m pip install -U discord.py

That's it.

 

 

 

Error:

(...)
TypeError: __new__() got an unexpected keyword argument 'deny_new'

 

 


[Solved] Discord.py bot giving certificate error since 30 May

02 June 2020 - 01:01 AM

Hello, Discord bots written in python using discord.py module (idk what about other technologies) stopped working on 30 May - both on local PCs and on your hosting too - because of some certificate expiration. Solution for local Windows PCs is to start Internet Explorer as administrator, go to discord.com and install some certificate using lock icon on address bar. I have no idea how to fix this on a linux server though.

 

Here's one of stackoverflow posts:

https://stackoverflo...pired-ssl-c1108

 

Error text:

raise ClientConnectorCertificateError(
     aiohttp.client_exceptions.ClientConnectorCertificateError: Cannot connect to
     host discordapp.com:443 ssl:True [SSLCertVerificationError: 
    (1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: 
    certificate has expired (_ssl.c:1108)')]

Here's article found by @sohamb03 on your discord server that might help:

https://www.namechea...ing-may-30-2020

 

I don't know if this helps, but in other stackoverflow post I found this without explanation:

Run Install Certificates.command bundled with your python installation

 


[Solved] request matplotlib.py for Tommy

27 April 2020 - 12:45 AM

Can we please have matplotlib python library for Tommy? Johnny has it, but Tommy is still missing it: https://krydos.helio...in/modules37.py

 


[Inactive] request discord.ext for python 3.7

13 April 2020 - 10:34 PM

Hello, can we have:

discord.ext

library for python 3.7? It's for discord bots.